## baloo-widgets 20.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "0")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(baloo-widgets VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.11.0")
set(KF5_MIN_VERSION "5.71.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Widgets Test)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Config KIO I18n FileMetaData Baloo)

include(ECMSetupVersion)
include(ECMInstallIcons)

include(GenerateExportHeader)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMGenerateHeaders)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(CMakePackageConfigHelpers)

add_definitions(-DQT_NO_FOREACH)

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX BALOO_WIDGETS
                  SOVERSION 5
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/baloowidgets_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfigVersion.cmake")

include_directories(
   ${CMAKE_SOURCE_DIR}/src
   ${CMAKE_BINARY_DIR}/src
)
add_subdirectory(src)
if (BUILD_TESTING)
  add_subdirectory(test)
  add_subdirectory(autotests)
endif()

# Config files
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5BalooWidgets")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5BalooWidgetsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KF5BalooWidgetsTargets
        NAMESPACE KF5::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE KF5BalooWidgetsTargets.cmake
)

install(FILES baloo-widgets.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

feature_summary(WHAT ALL
    INCLUDE_QUIET_PACKAGES
    FATAL_ON_MISSING_REQUIRED_PACKAGES
)
ki18n_install(po)

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

ecm_add_test(extractortest.cpp
    TEST_NAME "extractortest"
    LINK_LIBRARIES Qt5::Test
    KF5::FileMetaData
)
ecm_add_tests(
    filemetadatawidgettest.cpp
    filemetadataitemcounttest.cpp
    filemetadatadatedisplaytest.cpp
    LINK_LIBRARIES KF5::KIOCore
    KF5::KIOWidgets
    KF5::KIOFileWidgets
    KF5::ConfigCore
    KF5::BalooWidgets
    KF5::FileMetaData
    Qt5::Test
    Qt5::Widgets
)

# Set PATH so baloo_filemetadata_temp_extractor from the build directory is used
if(WIN32)
   set_property(TEST "extractortest"               PROPERTY ENVIRONMENT "PATH=${CMAKE_BINARY_DIR}/bin\\;$ENV{PATH}")
   set_property(TEST "filemetadatawidgettest"      PROPERTY ENVIRONMENT "PATH=${CMAKE_BINARY_DIR}/bin\\;$ENV{PATH}")
   set_property(TEST "filemetadataitemcounttest"   PROPERTY ENVIRONMENT "PATH=${CMAKE_BINARY_DIR}/bin\\;$ENV{PATH}")
   set_property(TEST "filemetadatadatedisplaytest" PROPERTY ENVIRONMENT "PATH=${CMAKE_BINARY_DIR}/bin\\;$ENV{PATH}")
else()
   set_property(TEST "extractortest"               PROPERTY ENVIRONMENT "PATH=${CMAKE_BINARY_DIR}/bin:$ENV{PATH}")
   set_property(TEST "filemetadatawidgettest"      PROPERTY ENVIRONMENT "PATH=${CMAKE_BINARY_DIR}/bin:$ENV{PATH}")
   set_property(TEST "filemetadataitemcounttest"   PROPERTY ENVIRONMENT "PATH=${CMAKE_BINARY_DIR}/bin:$ENV{PATH}")
   set_property(TEST "filemetadatadatedisplaytest" PROPERTY ENVIRONMENT "PATH=${CMAKE_BINARY_DIR}/bin:$ENV{PATH}")
endif()

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"baloowidgets5\")

add_subdirectory(filepropertiesplugin)
add_subdirectory(tagsfileitemactionplugin)

set(widgets_SRCS
  kblocklayout.cpp
  tagwidget.cpp
  kedittagsdialog.cpp
  tagcheckbox.cpp
  filefetchjob.cpp
  filemetadatawidget.cpp
  filemetadataconfigwidget.cpp
  filemetadataprovider.cpp
  filemetadatautil.cpp
  kcommentwidget.cpp
  keditcommentdialog.cpp
  metadatafilter.cpp
  ondemandextractor.cpp
  widgetfactory.cpp
)

ecm_qt_declare_logging_category(
    widgets_SRCS
    HEADER "widgetsdebug.h"
    IDENTIFIER "Baloo::WIDGETS"
    DEFAULT_SEVERITY Warning
    CATEGORY_NAME "org.kde.baloo.widgets"
)

add_library(KF5BalooWidgets ${widgets_SRCS})

add_library(KF5::BalooWidgets ALIAS KF5BalooWidgets)

target_link_libraries(KF5BalooWidgets
  PUBLIC
  Qt5::Widgets
  Qt5::Core
  KF5::KIOCore # KFileItem
  KF5::CoreAddons # KProcess, KJob

  PRIVATE
  KF5::I18n
  KF5::FileMetaData
  KF5::WidgetsAddons
  KF5::Baloo
  KF5::CoreAddons
  KF5::ConfigGui
)

set_target_properties(KF5BalooWidgets PROPERTIES
   VERSION ${BALOO_WIDGETS_VERSION_STRING}
   SOVERSION ${BALOO_WIDGETS_SOVERSION}
   EXPORT_NAME BalooWidgets
)

target_include_directories(KF5BalooWidgets INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/BalooWidgets>")

generate_export_header(KF5BalooWidgets BASE_NAME BALOO_WIDGETS EXPORT_FILE_NAME widgets_export.h)

install(TARGETS KF5BalooWidgets EXPORT KF5BalooWidgetsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(KF5BalooWidgets_CamelCase_HEADERS
    HEADER_NAMES
    TagWidget
    FileMetaDataWidget
    FileMetaDataConfigWidget

    PREFIX baloo
    REQUIRED_HEADERS KF5BalooWidgets_HEADERS
)

install(FILES
  ${KF5BalooWidgets_CamelCase_HEADERS}
  DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/BalooWidgets/Baloo
  COMPONENT Devel
)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/widgets_export.h
  ${KF5BalooWidgets_HEADERS}
  DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/BalooWidgets/baloo
  COMPONENT Devel
)

#
# Extractor Process
#
add_executable(baloo_filemetadata_temp_extractor extractor.cpp filemetadatautil.cpp)
target_link_libraries(baloo_filemetadata_temp_extractor
  Qt5::Core
  KF5::I18n
  KF5::FileMetaData
)

install(TARGETS baloo_filemetadata_temp_extractor DESTINATION ${BIN_INSTALL_DIR})

=== test/CMakeLists.txt ===
add_executable(tagwidgetapp tagwidgetapp.cpp tagwidgettest.cpp)
target_link_libraries(tagwidgetapp
  KF5::Baloo
  KF5::BalooWidgets
  Qt5::Widgets
  Qt5::Core
)

add_executable(metadatawidgetapp metadatawidgetapp.cpp)
target_link_libraries(metadatawidgetapp
  KF5::Baloo
  KF5::BalooWidgets
  Qt5::Widgets
  Qt5::Core
)

add_executable(metadataconfigwidgetapp metadataconfigwidgetapp.cpp)
target_link_libraries(metadataconfigwidgetapp
  KF5::Baloo
  KF5::BalooWidgets
  Qt5::Widgets
  Qt5::Core
)

=== src/filepropertiesplugin/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"baloowidgets5\")

set(baloofilepropertiesplugin_PART_SRCS baloofilepropertiesplugin.cpp)

add_library(baloofilepropertiesplugin MODULE ${baloofilepropertiesplugin_PART_SRCS})

target_link_libraries(baloofilepropertiesplugin
    KF5::I18n
    KF5::KIOWidgets
    KF5::BalooWidgets
)

install(TARGETS baloofilepropertiesplugin DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES baloofilepropertiesplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/tagsfileitemactionplugin/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"baloowidgets5\")

include_directories(${CMAKE_SOURCE_DIR})

set(tagsfileitemaction_debug_SRCS tagsfileitemaction.cpp)

kcoreaddons_add_plugin(tagsfileitemaction
    SOURCES ${tagsfileitemaction_debug_SRCS}
    JSON tagsfileitemaction.json
    INSTALL_NAMESPACE "kf5/kfileitemaction")

target_link_libraries(tagsfileitemaction
    KF5::KIOWidgets
    KF5::I18n
    KF5::FileMetaData
)

=== debian/changelog ===
baloo-widgets (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.0).
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.71.0
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Borrow minimal uspstream signing key from k3b.
  * Update project homepage.
  * Refresh upstream metadata:
    - add Bug-Database and Bug-Submit
    - drop Contact and Name fields already present in machine readable
      copyright
    - move VCS URLs to invent.kde.org
  * Bump debhelper compatibility level to 13.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 12 Dec 2020 15:08:01 +0100

=== debian/control ===
Source: baloo-widgets
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.71.0~),
               cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               libkf5config-dev (>= 5.71.0~),
               libkf5filemetadata-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.11.0~),
Standards-Version: 4.5.1
Homepage: https://api.kde.org/baloo-widgets/html/index.html
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets.git
Rules-Requires-Root: no

Package: libkf5baloowidgets-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Wigets for use with Baloo - binaries
 Baloo is a framework for searching and managing metadata.
 .
 This package contains binaries used by the baloo widgets library.

Package: libkf5baloowidgets-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5baloowidgets5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.71.0~),
         ${misc:Depends},
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo Widgets library.

Package: libkf5baloowidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5filemetadata-bin, ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:17.08)
Recommends: libkf5baloowidgets-bin
Description: Wigets for use with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains GUI widgets for baloo.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --with kf5,pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable unit tests at build time
	:

## baloo-widgets 21.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.0)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
 set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(baloo-widgets VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION "5.11.0")
+set(QT_MIN_VERSION "5.12.0")
 set(KF5_MIN_VERSION "5.71.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
@@ -16,20 +16,31 @@
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Widgets Test)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Config KIO I18n FileMetaData Baloo)
 
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+
 include(ECMSetupVersion)
 include(ECMInstallIcons)
 
 include(GenerateExportHeader)
 include(FeatureSummary)
-include(KDEInstallDirs)
-include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMGenerateHeaders)
 include(ECMAddTests)
 include(ECMQtDeclareLoggingCategory)
 include(CMakePackageConfigHelpers)
 
-add_definitions(-DQT_NO_FOREACH)
+add_definitions(
+    -DQT_NO_FOREACH
+    -DQT_NO_CAST_TO_ASCII
+    -DQT_NO_CAST_FROM_ASCII
+    -DQT_NO_URL_CAST_FROM_STRING
+    -DQT_NO_CAST_FROM_BYTEARRAY
+    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
+    -DQT_USE_QSTRINGBUILDER
+    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
+    -DQT_STRICT_ITERATORS
+)
 
 ecm_setup_version(PROJECT
                   VARIABLE_PREFIX BALOO_WIDGETS
@@ -48,7 +59,7 @@
 endif()
 
 # Config files
-set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5BalooWidgets")
+set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5BalooWidgets")
 
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KF5BalooWidgetsConfig.cmake.in"
@@ -69,8 +80,6 @@
         FILE KF5BalooWidgetsTargets.cmake
 )
 
-install(FILES baloo-widgets.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
-
 feature_summary(WHAT ALL
     INCLUDE_QUIET_PACKAGES
     FATAL_ON_MISSING_REQUIRED_PACKAGES

=== debian/changelog ===
baloo-widgets (4:21.08.0-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:42:36 +0800

baloo-widgets (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:42:46 +0900

baloo-widgets (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 09:37:59 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: baloo-widgets
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: baloo-kf5-dev (>= 5.71.0~),
                cmake (>= 3.0~),
                debhelper-compat (= 13),
@@ -13,7 +13,7 @@
                libkf5i18n-dev (>= 5.71.0~),
                libkf5kio-dev (>= 5.71.0~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.11.0~),
+               qtbase5-dev (>= 5.12.0~),
 Standards-Version: 4.5.1
 Homepage: https://api.kde.org/baloo-widgets/html/index.html
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets

## baloo-widgets 22.12.1

=== debian/changelog ===
baloo-widgets (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 22:32:59 +0100

baloo-widgets (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:23 +0100

baloo-widgets (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Update symbols from build for 22.12.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:46 +0100

baloo-widgets (4:22.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.90.0
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Tue, 12 Jul 2022 06:20:58 +0200

baloo-widgets (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 21:30:37 +0100

baloo-widgets (4:21.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop unused 'acc' autopkgtest.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.83.0
  * Bump Standards-Version to 4.6.0, no changes required.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Feb 2022 10:00:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,21 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
-Build-Depends: baloo-kf5-dev (>= 5.71.0~),
-               cmake (>= 3.0~),
+Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Build-Depends: baloo-kf5-dev (>= 5.90.0~),
+               cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.71.0~),
+               dh-sequence-kf5,
+               extra-cmake-modules (>= 5.90.0~),
                gettext,
-               libkf5config-dev (>= 5.71.0~),
-               libkf5filemetadata-dev (>= 5.71.0~),
-               libkf5i18n-dev (>= 5.71.0~),
-               libkf5kio-dev (>= 5.71.0~),
+               libkf5config-dev (>= 5.90.0~),
+               libkf5filemetadata-dev (>= 5.90.0~),
+               libkf5i18n-dev (>= 5.90.0~),
+               libkf5kio-dev (>= 5.90.0~),
+               libkf5service-dev (>= 5.90.0~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.0~),
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.15.2~),
+Standards-Version: 4.6.2
 Homepage: https://api.kde.org/baloo-widgets/html/index.html
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets.git
@@ -33,7 +35,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf5baloowidgets5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.71.0~),
+         libkf5kio-dev (>= 5.90.0~),
          ${misc:Depends},
 Description: Development headers for developing applications with Baloo
  Baloo is a framework for searching and managing metadata.

## baloo-widgets 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(baloo-widgets VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.90.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})


include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMSetupVersion)
include(ECMInstallIcons)

include(GenerateExportHeader)
include(FeatureSummary)
include(ECMGenerateHeaders)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(CMakePackageConfigHelpers)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Widgets Test)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Config KIO I18n FileMetaData Baloo Service)

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX BALOO_WIDGETS
                  SOVERSION 5
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/baloowidgets_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfigVersion.cmake")

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050F00)
# Bump manually after building with the latest KF released version
# and porting all deprecated code
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x056100) # 5.97.0
add_subdirectory(src)
if (BUILD_TESTING)
  add_subdirectory(test)
  add_subdirectory(autotests)
endif()

ki18n_install(po)

# Config files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5BalooWidgets")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5BalooWidgetsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KF5BalooWidgetsTargets
        NAMESPACE KF5::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE KF5BalooWidgetsTargets.cmake
)

feature_summary(WHAT ALL
    INCLUDE_QUIET_PACKAGES
    FATAL_ON_MISSING_REQUIRED_PACKAGES
)

file(GLOB_RECURSE CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
baloo-widgets (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: baloo-kf5-dev (>= 5.90.0~),
                cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -24,7 +24,7 @@
 
 Package: libkf5baloowidgets-bin
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Wigets for use with Baloo - binaries
  Baloo is a framework for searching and managing metadata.
  .
@@ -45,9 +45,9 @@
 Package: libkf5baloowidgets5
 Architecture: any
 Multi-Arch: same
-Depends: libkf5filemetadata-bin, ${misc:Depends}, ${shlibs:Depends}
-Breaks: dolphin (<< 4:17.08)
-Recommends: libkf5baloowidgets-bin
+Depends: libkf5filemetadata-bin, ${misc:Depends}, ${shlibs:Depends},
+Breaks: dolphin (<< 4:17.08),
+Recommends: libkf5baloowidgets-bin,
 Description: Wigets for use with Baloo
  Baloo is a framework for searching and managing metadata.
  .

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 %:
-	dh $@ --with kf5,pkgkde_symbolshelper
+	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

## baloo-widgets 24.08.0

=== debian/changelog ===
baloo-widgets (4:24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Aug 2024 11:45:33 +0200

baloo-widgets (4:24.05.2-2) experimental; urgency=medium

  [ Jesse Rhodes ]
  * Add Breaks/Replaces for libkf5baloowidgets-bin. (Closes: #1077966)

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Aug 2024 22:33:03 +0200

baloo-widgets (4:24.05.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps and deps with info from cmake.
  * Use dh-sequence-kf6 and specify building with Qt6.
  * Bump to libkf6baloowidgets6 and adjust *.install to match.
  * Generate new libkf6baloowidgets6.symbols.
  * Add Breaks/Replaces for libkf5baloowidgets5.
  * Drop kf6 from -bin and -dev package names.
  * Update libbaloowidgets-dev dependencies with info from cmake.
  * Update copyright info.
  * Override lintian W: no-manual-page for
    baloo_filemetadata_temp_extractor
  * Bump Standards-Version to 4.7.0 (no changes needed).

  [ Aurélien COUDERC ]
  * Use hardening=+all build hardening flag.
  * Drop obsolete Breaks.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 29 Jul 2024 23:54:18 +0200

=== debian/control ===
Source: baloo-widgets
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6baloo-dev (>= 5.240.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6filemetadata-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6service-dev (>= 5.240.0~),
               qt6-base-dev (>= 6.4.0~),
Standards-Version: 4.7.0
Homepage: https://api.kde.org/baloo-widgets/html/index.html
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets.git
Rules-Requires-Root: no

Package: libbaloowidgets-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5baloowidgets-bin,
Replaces: libkf5baloowidgets-bin,
Description: Wigets for use with Baloo - binaries
 Baloo is a framework for searching and managing metadata.
 .
 This package contains binaries used by the baloo widgets library.

Package: libbaloowidgets-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6baloowidgets6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 5.240.0~),
         libkf6kio-dev (>= 5.240.0~),
         qt6-base-dev (>= 6.4.0~),
         ${misc:Depends},
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo Widgets library.

Package: libkf6baloowidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6filemetadata-bin, ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5baloowidgets5,
Replaces: libkf5baloowidgets5,
Recommends: libkf6baloowidgets-bin,
Description: Wigets for use with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains GUI widgets for baloo.

## baloo-widgets 24.08.2

=== debian/changelog ===
baloo-widgets (4:24.08.2-0ubuntu2) plucky; urgency=medium

  * Kubuntu Vcs and maintainer fields.
  * Kubuntu specific breaks/replaces for KF5 to KF6 upgrades.

 -- Rik Mills <rikmills@kde.org>  Sat, 02 Nov 2024 17:24:58 +0000

baloo-widgets (4:24.08.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 02 Nov 2024 17:07:11 +0000

baloo-widgets5 (4:24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 06:23:31 +0100

baloo-widgets5 (4:24.08.0-1ubuntu2) oracular; urgency=medium

  * Add breaks/replaces for upgrade. (LP: #2080206)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Sep 2024 09:15:25 +0100

baloo-widgets5 (4:24.08.0-1ubuntu1) oracular; urgency=medium

  * Merge debian experimental.
  * Update maintainer fields.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 04 Sep 2024 18:16:59 +0100

baloo-widgets5 (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 30 Mar 2024 23:51:07 +0000

baloo-widgets5 (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:56:50 +0000

baloo-widgets5 (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 11:52:21 -0700

baloo-widgets5 (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:10:36 +0000

baloo-widgets5 (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:29:39 +0000

baloo-widgets5 (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:26:01 +0100

baloo-widgets5 (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:54:17 +0100

baloo-widgets5 (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:49:02 +0100

baloo-widgets5 (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:29:12 +0100

baloo-widgets5 (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:41:12 +0100

baloo-widgets5 (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:53:02 +0100

baloo-widgets5 (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:33:18 +0000

baloo-widgets5 (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:09:11 -0600

baloo-widgets5 (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:10:34 +0000

baloo-widgets5 (4:22.12.0-0ubuntu2) lunar; urgency=medium

  * Sync changes from Debian 4:22.12.0-2. Remaing changes:
    - Source is baloo-widgets5 in Ubuntu.
    - Kubuntu Vcs and maintainer fields.
    - Data package for translations.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Dec 2022 13:18:59 +0000

baloo-widgets5 (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:04:08 +0000

baloo-widgets5 (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:00:34 +0000

baloo-widgets5 (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:46:54 +0000

baloo-widgets5 (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:04:19 +0000

baloo-widgets5 (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:34:58 +0100

baloo-widgets5 (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:45:23 +0100

baloo-widgets5 (4:22.04.3-1ubuntu2) kinetic; urgency=medium

  * Fix debian/watch

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 29 Jul 2022 13:18:03 +0100

baloo-widgets5 (4:22.04.3-1ubuntu1) kinetic; urgency=medium

  * Sync changes from Debian baloo-widgets.
    - Drop acc test.
    - Update copyright, metadata and watch file.
    - Modernize building with dh-sequence-kf5 build dependency.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 10:01:33 +0100

baloo-widgets5 (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:22:34 +0100

baloo-widgets5 (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:56:05 +0100

baloo-widgets5 (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:52:50 +0100

baloo-widgets5 (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:42:42 +0100

baloo-widgets5 (4:21.12.3-0ubuntu1) jammy; urgency=medium



=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: baloo-widgets
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -17,8 +18,8 @@
                qt6-base-dev (>= 6.4.0~),
 Standards-Version: 4.7.0
 Homepage: https://api.kde.org/baloo-widgets/html/index.html
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo-widgets
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo-widgets
 Rules-Requires-Root: no
 
 Package: libbaloowidgets-bin
@@ -49,8 +50,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6filemetadata-bin, ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkf5baloowidgets5,
-Replaces: libkf5baloowidgets5,
+Breaks: libkf5baloowidgets5, libkf5baloowidgets-data,
+Replaces: libkf5baloowidgets5, libkf5baloowidgets-data
 Recommends: libkf6baloowidgets-bin,
 Description: Wigets for use with Baloo
  Baloo is a framework for searching and managing metadata.

## baloo-widgets 24.12.0

=== debian/changelog ===
baloo-widgets (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:00:43 +0000

baloo-widgets (4:24.11.90-0ubuntu2) plucky; urgency=medium

  * Merge changes from 4:24.08.0-2 in Debian unstable.

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2024 09:57:57 +0000

baloo-widgets (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 12:58:49 +0000

baloo-widgets (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 14:46:01 +0000

baloo-widgets (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 15:15:26 +0000

baloo-widgets (4:24.08.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update dev package dependencies.
  * Fix name of recommended package libbaloowidgets-bin.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 27 Nov 2024 22:51:51 +0100

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6baloowidgets6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 5.240.0~),
          libkf6kio-dev (>= 5.240.0~),
          qt6-base-dev (>= 6.4.0~),
          ${misc:Depends},
@@ -52,7 +51,7 @@
 Depends: libkf6filemetadata-bin, ${misc:Depends}, ${shlibs:Depends},
 Breaks: libkf5baloowidgets5, libkf5baloowidgets-data,
 Replaces: libkf5baloowidgets5, libkf5baloowidgets-data
-Recommends: libkf6baloowidgets-bin,
+Recommends: libbaloowidgets-bin,
 Description: Wigets for use with Baloo
  Baloo is a framework for searching and managing metadata.
  .

## baloo-widgets 24.12.1

=== debian/changelog ===
baloo-widgets (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 13:59:49 +0000

## baloo-widgets 24.12.2

=== debian/changelog ===
baloo-widgets (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Feb 2025 18:13:01 +0100

baloo-widgets (4:24.12.1-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 25 Jan 2025 12:04:29 +0100

baloo-widgets (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Dec 2024 19:23:39 +0100

=== debian/control ===
Source: baloo-widgets
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.4.0~),
               gettext,
               libkf6baloo-dev (>= 6.4.0~),
               libkf6config-dev (>= 6.4.0~),
               libkf6filemetadata-dev (>= 6.4.0~),
               libkf6i18n-dev (>= 6.4.0~),
               libkf6kio-dev (>= 6.4.0~),
               libkf6service-dev (>= 6.4.0~),
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://api.kde.org/baloo-widgets/html/index.html
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets.git
Rules-Requires-Root: no

Package: libbaloowidgets-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5baloowidgets-bin,
Replaces: libkf5baloowidgets-bin,
Description: Wigets for use with Baloo - binaries
 Baloo is a framework for searching and managing metadata.
 .
 This package contains binaries used by the baloo widgets library.

Package: libbaloowidgets-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6baloowidgets6 (= ${binary:Version}),
         libkf6kio-dev (>= 6.4.0~),
         qt6-base-dev (>= 6.4.0~),
         ${misc:Depends},
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo Widgets library.

Package: libkf6baloowidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6filemetadata-bin, ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5baloowidgets5,
Replaces: libkf5baloowidgets5,
Recommends: libbaloowidgets-bin,
Description: Wigets for use with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains GUI widgets for baloo.

## baloo-widgets 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(baloo-widgets VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.7.0")
set(KF_MIN_VERSION "6.4.0")

# ECM setup
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(QtVersionOption)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMInstallIcons)

include(FeatureSummary)
include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(CMakePackageConfigHelpers)
include(ECMDeprecationSettings)


find_package(Qt6 REQUIRED NO_MODULE COMPONENTS Core Widgets Test)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Config KIO I18n FileMetaData Baloo Service)

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX BALOO_WIDGETS
                  SOVERSION 6
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/baloowidgets_version.h"

                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooWidgetsConfigVersion.cmake")
ecm_set_disabled_deprecation_versions(QT 5.15.2
     KF 6.4
    )

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

add_subdirectory(src)
if (BUILD_TESTING)
  add_subdirectory(test)
  add_subdirectory(autotests)
endif()

ki18n_install(po)

# Config files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6BalooWidgets")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFBalooWidgetsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooWidgetsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooWidgetsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooWidgetsConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KF6BalooWidgetsTargets
        NAMESPACE KF6::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE KF6BalooWidgetsTargets.cmake
)

feature_summary(WHAT ALL
    INCLUDE_QUIET_PACKAGES
    FATAL_ON_MISSING_REQUIRED_PACKAGES
)

file(GLOB_RECURSE CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
baloo-widgets (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:34:29 +0000

baloo-widgets (4:24.12.2-1ubuntu1) plucky; urgency=high

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Breaks/Replaces on libkf5baloowidgets-data.

 -- Rik Mills <rikmills@kde.org>  Thu, 20 Feb 2025 06:59:22 +0000

baloo-widgets (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 09:46:27 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DBUILD_TESTING=OFF -DBUILD_WITH_QT6=ON

override_dh_auto_test:
	# Disable unit tests at build time
	:

## baloo-widgets 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(baloo-widgets VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
baloo-widgets (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:40:29 +0200

baloo-widgets (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 22:02:09 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
                libkf6kio-dev (>= 6.4.0~),
                libkf6service-dev (>= 6.4.0~),
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
-Homepage: https://api.kde.org/baloo-widgets/html/index.html
+Standards-Version: 4.7.2
+Homepage: https://invent.kde.org/frameworks/baloo
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets.git
 Rules-Requires-Root: no

## baloo-widgets 25.04.3

=== debian/changelog ===
baloo-widgets (4:25.04.3-0ubuntu0~tux1) noble; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Mon, 01 Sep 2025 22:05:17 +0200

## baloo-widgets 25.07.80

=== debian/changelog ===
baloo-widgets (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:01:28 +0100

baloo-widgets (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:34:25 +0100

baloo-widgets (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:36:02 +0100

baloo-widgets (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:59:27 +0100

baloo-widgets (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:39:53 +0100

## baloo-widgets 25.07.90

=== debian/changelog ===
baloo-widgets (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:26:14 +0100

## baloo-widgets 25.08.0

=== debian/changelog ===
baloo-widgets (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:19:05 +0100
